List Roles
get
/v1/uwaas/roles
List roles using page and size pagination.
Request
Query Parameters
-
page: integer
Minimum Value:
0Zero-based page index.Default Value:0Example:0 -
size: integer
Minimum Value:
1Maximum Value:200Maximum number of roles to return. Values above 200 are capped by the service.Default Value:50Example:50
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Roles retrieved successfully.
Nested Schema : RoleResponse
Type:
Show Source
object-
createdAt(required): string
(date-time)
Read Only:
true -
createdBy(required): string
Read Only:
trueExample:system -
description: string
Example:
Full access to organization administration features. -
id(required): integer
(int64)
Read Only:
trueExample:1 -
roleCode(required): string
Example:
ORG_ADMIN -
roleName(required): string
Example:
Organization Admin -
status(required): string
Allowed Values:
[ "ACTIVE", "INACTIVE" ]Role lifecycle status.Example:ACTIVE -
updatedAt(required): string
(date-time)
Read Only:
true -
updatedBy: string
Read Only:
trueExample:placeholder
400 Response
Bad request.
Root Schema : Error
Type:
Show Source
object-
details(required): array
details
-
error(required): string
Example:
Wallet Not Found -
errorCode(required): string
Example:
WALLET_NOT_FOUND -
message(required): string
Example:
Wallet with id 123 was not found. -
path(required): string
Example:
/v1/uwaas/wallets/123 -
status(required): integer
Example:
404 -
timestamp(required): string
(date-time)
Example:
2026-07-16T14:23:11.123Z
500 Response
Internal server error.
Root Schema : Error
Type:
Show Source
object-
details(required): array
details
-
error(required): string
Example:
Wallet Not Found -
errorCode(required): string
Example:
WALLET_NOT_FOUND -
message(required): string
Example:
Wallet with id 123 was not found. -
path(required): string
Example:
/v1/uwaas/wallets/123 -
status(required): integer
Example:
404 -
timestamp(required): string
(date-time)
Example:
2026-07-16T14:23:11.123Z